import React, { useState } from 'react';
import './App.css';
import { FileInput, ForceDistanceDiagram } from './components';
import {sheet} from "./dataInterface"

const App = () => {
  const [sheets, setSheets] = useState<sheet[]>([]);

  const addSheet = (sheet:sheet):void => {
    setSheets(s => [...s,sheet]);
  }


  return (
    <div className="App">
      <FileInput  addSheet ={addSheet}/> 
      <ForceDistanceDiagram sheets={sheets}/>
    </div>
  );
}

export default App;
