import React from "react"
import {sheet} from "../../dataInterface"


import {
    LineChart, Line, XAxis, YAxis, CartesianGrid
  } from 'recharts';

export const ForceDistanceDiagram: React.FC<{
    sheets:sheet[];
}> = props => {

    const  {sheets} = props;
    if(sheets.length === 0){
        return <></>
    }
    const diagram= sheets[0].diagram;

    console.log("data", sheets)
    return <LineChart width={800} height={500} data={diagram}>
           <XAxis dataKey="Weg"  scale="linear" />
            <YAxis/>
            <CartesianGrid stroke="#eee" strokeDasharray="5 5"/>
            <Line type="monotone" dataKey="Kraft" stroke="#8884d8" dot={false} />
        </LineChart>

}